// @ myth - common - page.C
//
// Myth is a multiuser screen oriented adventure game.
// Copyright (C) 1989 Per Abrahamsen
// 
// This file is part of Myth.
// 
// Myth is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 1, or (at your option) any later
// version.
// 
// Myth is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Myth; see the file COPYING.  If not, write to the Free
// Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
// My email address is: amanda@iesd.auc.dk

// @@ include

#include "common/page.h"

// @@ class PAGE

// @@@ void PAGE::remove()

void PAGE::remove()
{
    delete (STRING *) LIST::current();
    LIST::remove();
}

// @@@ void PAGE::clear()

void PAGE::clear()
{
    LIST::reset();
    while(LIST::current() != NULL)
	PAGE::remove();
}

// @@@ PAGE::PAGE()

PAGE::PAGE()
{ }

// @@@ PAGE::~PAGE()

PAGE::~PAGE()
{ PAGE::clear(); }

// @@ emacs
//
// Local Variables:
// mode: c++
// outline-regexp: "// @+ "
// eval: (outline-minor-mode 1)
// End:
